
#body {
	margin:0px;
    padding:0px;

    background-color: #00246e;

    color: #ffffff;
    font-family: Arial, Helvetica, sans-serif;
    overflow: hidden;
}
.canvas_halvany {
	transition: all 1s;
	opacity:    0.8;	
}

#tartalom {
	display: flex;
	flex-direction: row;
	width: 100%;

    background-color: #00246e;
	
	align-items:flex-start;

	justify-content: center;
	position: relative;
	margin:0px;
    padding:0px;
    overflow: hidden;
    background-size: cover;
}

#body.AlloKepernyo #tartalom {
	display: block;
}

#kulso_keret {
	display: none;
	overflow: hidden;
}


#canvasAnim {
	display: none;
	background-color: #00246e;
}



#vaszon_kulso {
	display: flex;
	justify-content: center;
	margin:0px;
    padding:0px;
    overflow: hidden;
}


canvas {
    max-width: 100vw;
    margin:0px;
    padding:0px;
    overflow: hidden;
}

.nagyVaszon canvas {
	max-height: calc(100vh);
}



#MenuVaszon,
#GameVaszon {
	position: relative;

}

.felx_kozepre {
	display: flex;
	justify-content: center;
	align-items: center;
}

#body {
	margin-top: auto;  
	margin-bottom: auto;
}

#AnimacioVaszon {
	position: absolute;
	display: none;
	width: 100%;
	height:100%;	
	left:0;
	top:0;
}

.AlloKepernyo #kulso_keret.EredmenyKepernyo #canvasMenu,
.AlloKepernyo #kulso_keret.EredmenyKepernyo #canvasMAnim {
	max-height: 100%;
}

/* HELP KÉPERNYŐ */
#help_kepernyo {
	position: absolute;
	width: 100vw;
    height: 100vh;	
	left:0px;
	top:0px;
	display: none;
	font-size: 1.2vw;
}

#help_kepernyo p {
	margin: 2px 2px 10px 2px;
}

#help_belso {
	position: relative;
	width: 100vw;
    height: 100vh;
    padding:10px 10px;
    margin-top: 20px;
    height: calc(100vh - 20px);

	display: flex;
	flex-direction: column;	
	background-color: #fff;
	color: #000;
}

#help_h1 {
	margin-top:10px;
	font-size: 2vw;
}


#helpKikapcs {
	position: absolute;
	top:10px;
	right:10px;
	background-color:#800;
	width: 4vw;
	height:4vw;
	border-radius:50%;
	border:1px solid rgba(16, 8, 8, 0.2);
	cursor:pointer;
	color:#fff;
}

#helpGorget {
	overflow-y: scroll;
}


/* START KÉPERNYŐ */
#start_kepernyo {
	position: relative;
	width: 100vw;
	height:100vh;	
	left:0;
	top:0;
	background-color: #00246e;
	display: none;
}

#start_keret {
	position: relative;
	width: 100vw;
	height:100vh;	
	left:0;
	top:0;
	
	display: flex;
    padding-left: 20px;
    align-items: center;
}

#start_info {
	position: relative;
	background-color: rgba(0,0,0,0.2);
	width: 20vw;
	height:100vh;
	min-width: 20vw;
	text-align: center;
}

#start_info img {
	width: 13vw;
	margin: 1vw;
}

/* ----------- START MENÜ ----------- */

#start_menu {
	display: grid;	
	width: 60vw;
	margin-right: 0vw;
	grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr;
	grid-row-gap: 6px;
	grid-column-gap: 6px;
}

#start_menu.mpDB6_2 {
	grid-template-columns: 1fr 1fr 1fr ;
	grid-template-rows: 1fr 1fr;
	grid-row-gap: 6px;
	grid-column-gap: 6px;
	align-items: stretch;
}

#start_menu.mpDB3_3 {
	grid-template-columns: 1fr 1fr 1fr ;
	grid-template-rows: 1fr 1fr 1fr;
	grid-row-gap: 6px;
	grid-column-gap: 6px;
	align-items: stretch;
}

#start_menu.mpTxt .mgmb {
	display: flex;
	justify-content: center;
    align-items: center;
}

.mgTxtMatek {
	letter-spacing:2px;
	font-size:4vw
}

#start_menu img {
	width: 100%;
}

#start_menu .hgmb,
#start_menu .mgmb {
	background-color: rgba(255, 255, 255, 0.2);
	box-shadow: 1px 1px 3px 0px lightblue;
}

/* ----------- START MENÜ VÉGE ----------- */

/* ----------- START MENÜ 2 ----------- */

#start_menu2 {	
	width: 70vw;
	display: flex;
	justify-content: center;
    align-items: center;
}

#start_menu2 img {
	max-width: 70vw;
	max-height:90vh;
}

#start_startGmbKulso {
	position: absolute;
	left: -2vw;
    top: 0px;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
} 

#start_startGmb {
    width: 100px;
    height: 100px;
    left: 100px;
    top: 100px;
    background-color: #0a0;
    border-radius: 50%;
    opacity: 1;
    transition: opacity 3s;    
    display: flex;
    justify-content: center;
    align-items: center;
    cursor:pointer;
}

#start_tovabb:hover,
#start_startGmb:hover {
	background-color: #0b0;	
}

#start_startGmb img {
	width: 50px;
    height: 50px;
}

@media only screen and (min-width : 1200px)  { 
	#start_startGmb {
		width: 120px;
		height: 120px;
    }
	#start_startGmb img {
		width: 70px;
		height: 70px;
	}
}

@media only screen and (min-width : 1400px)  { 
	#start_startGmb {
		width: 160px;
		height: 160px;
    }
	#start_startGmb img {
		width: 90px;
		height: 90px;
	}
}
/* ----------- START MENÜ 2 VÉGE ----------- */




#start_belso {
	position: absolute;
	width: 500px;	
	max-width: 100%;
	max-height:100%;
	background-color: rgba(255,255,255,0);
	margin:10px;
	flex-direction: column;
	display: flex;
	padding:10px 10px;
	left: 0;
}

#szintezo {
	position: absolute;
	left: 0;
	bottom: 10px;	
	width: 20vw;
	height: 5vw;

}

#szintezoBelso {
	width: 100%;
	height: 5vw;
	display: flex;
	justify-content: center;
    align-items: center;
    flex-direction: row;
}

#szintezoBelso div {
	width: 5vw;
	height: 5vw;
	display: flex;
	justify-content: center;
    align-items: center;
    font-size: 3vw;
    background-color: rgba(0, 0, 0, 0.3);
    box-shadow: 2px 2px 5px 0px rgba(0, 0, 0, 0.4);
    border: 1px solid #000;
    border-radius: 5px;
    margin: 0 4px;
}

#szintezoBelso div.aktSzint {
	background-color: rgba(255, 255, 255, 0.3);
}

#eredmeny_kicsinyit {
	display: none;	
}

#eredmeny_nagyit {
	display: flex;
}

#img_Menubelso,
#eredmeny_nagyit,
#eredmeny_kicsinyit {
    background-color: rgba(0, 0, 0, 0.3);
    box-shadow: 2px 2px 5px 0px rgba(0, 0, 0, 0.4);
    border: 1px solid #000;
    border-radius: 5px;
    
    width: 45px;
    height: 45px;
    justify-content: center;
    align-items: center;
}

#img_Menubelso {
	display: flex;
}


#eredmeny_nagyit img,
#eredmeny_kicsinyit img {
	width: 40px;
}


#eredmeny_link {
	position: absolute;
	right: 20px;
	top: 5px;
	width: 50px;
	height: 50px;
	display: flex;
	justify-content: center;
    align-items: center;
}


#img_Menu {
	position: absolute;
	left: 20px;
	top: 5px;
	width: 50px;
	height: 50px;
	display: flex;
	justify-content: center;
    align-items: center;
}

#img_Menubelso img {
	width: 30px;
}

#gomb_kepHelpKulso {
	position: absolute;
	display: flex;
	justify-content: center;
	align-items: center;
	width: 50px;
    height: 50px;
    right: 2px;
	bottom: 2px;
}

#szintezoBelso div:hover,
#gomb_kepnagyit:hover,
#gomb_kepkicsinyit:hover,
#gomb_kepHelp:hover {
	background-color: rgba(0, 0, 255, 0.15);
}

#szintezoBelso div.aktSzint:hover {
	background-color: rgba(255, 255, 255, 0.15);
}

#szintezoBelso div:hover {
	cursor:pointer;
}

#gomb_kepHelp  {
	display: flex;
}


#gomb_kepHelp img {
	width: 35px;;
}

#gomb_kepMeret {
	position: absolute;
	display: flex;
	justify-content: center;
	align-items: center;
	width: 50px;
    height: 50px;
    right: 2px;
	top: 2px;
}

#gomb_kepHelp,
#gomb_kepnagyit,
#gomb_kepkicsinyit {
    background-color: rgba(0, 0, 0, 0.3);
    box-shadow: 2px 2px 5px 0px rgba(0, 0, 0, 0.4);
    border: 1px solid #000;
    border-radius: 5px;
    
    width: 45px;
    height: 45px;
    justify-content: center;
    align-items: center;
    cursor:pointer;
}

#gomb_kepMeret img{
	position: absolute;
	width: 3.5vw;
}

#gomb_kepnagyit img,
#gomb_kepkicsinyit img {
	width: 35px;
}

#gomb_kepkicsinyit {
	display: none;
}

#gomb_kepnagyit {
	display: flex;
}

#eredmeny_GombokHatter {
	position: absolute;
	left: 0px;
	top: 0px;
	height: 60px;
	background-color: rgba(0, 0, 0, 0.3);
	border-radius: 10px;
    width: 100%;
}

#img_Bagi {
	position: absolute;
	left: 0px;
	top: 0px;
	width: 30vw;
	height: 100vh;
	display: flex;
	justify-content: center;
    align-items: center;
}

#img_Bagibelso {
	display: flex;
	justify-content: center;
    align-items: center;
}

#img_Bagibelso img {
	width: 20vw;
}

#menuKep {
	box-shadow: 2px 2px 5px 0px rgba(0, 0, 0, 0.4);
}

@media only screen and (max-width : 1000px)  { 
	#eredmeny_link {
		width: 40px;
		height: 40px;
	}

	#img_Menu {
		width: 40px;
		height: 40px;
	}

	#img_Menubelso,
	#eredmeny_nagyit,
	#eredmeny_kicsinyit {
		width: 35px;
		height: 35px;
	}

	#img_Menubelso {
		display: flex;
	}

	#eredmeny_nagyit img,
	#eredmeny_kicsinyit img {
		width: 30px;
	}

	#img_Menubelso img {
		width: 20px;
	}	
}





#start_gombok {
	display: flex;
	flex-direction: row;
	justify-content: space-evenly;
}

#start_tovabb,
#start_vissza,
#start_start {
	width: 120px;
	height:120px;	
	left:100px;
	top:100px;
	background-color: #0a0;
	border-radius:50%;
	opacity: 0;
	transition: opacity 3s;
	cursor:pointer;
}

#start_start2,
#start_start1 {
	width: 200px;
	height:80px;	
	left:100px;
	top:100px;
	background-color: #0a0;
	border-radius:20px;
	opacity: 0;
	transition: opacity 3s;
	margin:5px;
}

#start_vissza {
	background-color: #a00;
}

#start_tovabb {
	opacity: 1;
}



#start_tovabb img,
#start_start img {
	width: 80px;
	height:80px;
}
#start_korona img {
	width: 200px;
	height:200px;
}

@media only screen and (max-width : 1200px)  { 
	#start_tovabb img,
	#start_start img {
		width: 50px;
		height:50px;
	}	
	#start_tovabb,
	#start_vissza,
	#start_start {
		width: 100px;
		height:100px;	
	}
	
	#eredmeny_GombokHatter {
		height: 62px;
	}
}

@media only screen and (max-width : 1000px)  {
	#eredmeny_GombokHatter {
		height: 50px;
	}
}

#start_kepernyo h1 {
	text-align: center;
	color: rgba(255,255,0,0.6);
	text-shadow:-1px -1px 2px rgba(0,0,0,1);
	font-weight: normal;
	font-variant: small-caps;
	letter-spacing:2px;
	margin-bottom:10px;
}

#start_kepernyo h2 {
	text-align: center;
	color: rgba(255,255,0,0.6);
	text-shadow:-1px -1px 2px rgba(0,0,0,1);
	font-weight: normal;
	letter-spacing:2px;
	margin-bottom:10px;
}

.stat_gomb_txt {
  margin:20px;
  max-width: 400px;
  text-align: center;
  transition: opacity 3s;
  opacity: 0;
}

#start_belso .z {
	color: #0a0;
}

#start_belso .p {
	color: #a00;
}




#start_kepernyo #start_hatter {
	position: absolute;
	width: 100vw;
	height:100vh;
	left: 0px;
	top: 0px	
}

#start_kepernyo #start_hatter img {
	width: 100vw;
}











@media only screen and  (max-width : 700px)  {

	#start_kepernyo {	
		position: relative;
	}

	#start_belso {
		width: 320px;
		margin:5px;
		padding-bottom:10px;
	}
	#start_kepernyo h1 {
		margin-bottom: 3px;
		font-size: 18px;
		margin:5px;
	}
	#start_kepernyo h2 {
		font-size: 16px;
		margin:5px;
	}
	#start_kepernyo p {
		font-size: 14px;
		margin:5px;
	}
	#start_tovabb,
	#start_vissza, #start_start {
		width: 100px;
		height: 100px;
	}
	
	#start_tovabb img,
	#start_vissza img, #start_start img {
		width: 75px;
		height: 75px;
	}
	
	#start_korona img {
		width: 42px;
		height:42px;	
	}
	
}



@media screen and (max-height: 700px)  {

	#start_kepernyo {	
		position: relative;
	}

	#start_belso {
		width: 320px;
		margin:5px;
		padding-bottom:10px;
	}
	#start_kepernyo h1 {
		margin-bottom: 3px;
		font-size: 18px;
		margin:5px;
	}
	#start_kepernyo h2 {
		font-size: 16px;
		margin:5px;
	}
	#start_kepernyo p {
		font-size: 14px;
		margin:5px;
	}
	
	#start_korona img {
		width: 42px;
		height:42px;	
	}

}

#fordits {
	text-align: center;
	margin:10px;
	padding: 30px 10px;
	display: none;
}

#fordits img {
	width: 100px;
}



.nkepernyo #tkepernyoimg {display:inline-block;}
.nkepernyo #nkepernyoimg {display:none;}
.tkepernyo #nkepernyoimg {display:inline-block;}
.tkepernyo #tkepernyoimg {display:none;}



.nemAllo #kulso_keret {
	height: 100vh;
}

#belso_keret {
	margin-top: auto;
	margin-bottom: auto;
	margin-left: auto;
	margin-right: auto;
}
    


#start_kepernyo {
	overflow: hidden;
	
}

#MenuVaszonKulso {
	position: relative;
	background-color: #062246;
}

#htmlMenu {
	position: absolute;
	left: 0;
	top: 0;
	width:100%;
	height: 100%;
}

#fejlec_ikonok_kulso img {
	width:80%;
}

#fejlec_div_szinek,
#fejlec_vez_blokk {
	position: relative;
}

#r_hasonlit_blokk,
#r_homero_blokk,
#r_adatok_blokk,
#r_szinek_blokk {display:none;}

#chSzinek:checked ~ #r_szinek_blokk {
	display:block;
}

#chAdatok:checked ~ #r_adatok_blokk {
	display:block;
}

#chHomero:checked ~ #r_homero_blokk {
	display:block;
}

#chHasonlit:checked ~ #r_hasonlit_blokk {
	display:block;
}

#r_hasonlit_blokk,
#r_homero_blokk,
#r_adatok_blokk,
#r_szinek_blokk {
	position: relative;
}

#r_homero_hasonlit_belso,
#r_homero_blokk_belso,
#r_adatok_blokk_belso,
#r_szinek_blokk_belso {
	position: absolute;
	left: -200px;
	top: -50px;
	width:195px;
	height: auto;
	background-color: #062246;
	background-color: rgba(6,34,71,0.8);
	padding: 10px;
	text-align:left;
}







#helpGorget {
	font-size: 1.3em;
	line-height:130%;
}

#GameVaszonKulso {
	position: relative;
}

#eredmeny_kepernyo {
	position: absolute;
	left: 0px;
	top: 0px;
	width: 100%;
	height: 100%;
	align-items: center;
    justify-content: center;
    flex-direction: column;
}

#eredmeny_maxpont,
#eredmeny_aktpont {
	width: 100%;
	display: flex;
	align-items: center;
    justify-content: center;
    flex-direction: column;
    padding-bottom: 30px;
    font-size: 2em;
}

@media only screen and (max-width : 1000px)  { 
	#eredmeny_maxpont,
	#eredmeny_aktpont {
		font-size: 1.5em;
	}
}

@media only screen and (max-width : 600px)  { 
	#eredmeny_maxpont,
	#eredmeny_aktpont {
		font-size: 1.5em;
	}
}



#eredmeny_maxpont {
	color: #fe0;
}



#eredmeny_csillag {width: 70px;}
#eredmeny_korona  {width: 120px;}

@media only screen and (max-width : 1200px)  { 
	#eredmeny_csillag {width: 40px;}
	#eredmeny_korona  {width: 60px;}	
	#start_tovabb {
		width: 70px;
		height: 70px;
	}	
	#start_tovabb img {
		width: 40px;
		height: 40px;
	}
	#eredmeny_maxpont,
	#eredmeny_aktpont {
		padding-bottom: 20px;
	}
}

@media only screen and (max-width : 700px)  { 
	#eredmeny_csillag {width: 30px;}
	#eredmeny_korona  {width: 50px;}
	#start_tovabb {
		width: 50px;
		height: 50px;
	}	
	#start_tovabb img {
		width: 30px;
		height: 30px;
	}
	#eredmeny_maxpont,
	#eredmeny_aktpont {
		padding-bottom: 15px;
	}
}

#eredmeny_maxpont div
#eredmeny_aktpont div {
	margin-top: 6px;
}

#tesztDIV {
	width: 100vw;
	height: 2vh;
	overflow: scroll;
	position: absolute;	
	left:0;
	top:0;
}
